extends CanvasLayer

@export var stage1_scene: PackedScene

# Called when the node enters the scene tree for the first time.
func _ready():
	$MarginContainer/VBoxContainer/Start.grab_focus()

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	if Input.is_action_just_pressed("ui_cancel"):
		var quitBtn = $MarginContainer/VBoxContainer/Quit
		if quitBtn.has_focus():
			_on_quit_pressed()
		quitBtn.grab_focus()

func enableExtra():
	var extraBtn = $MarginContainer/VBoxContainer/Extra
	extraBtn.disabled = false
	extraBtn.focus_mode = 2

func _on_start_pressed():
	get_tree().change_scene_to_packed(stage1_scene)

func _on_quit_pressed():
	get_tree().quit()

